%define name	toxine
%define version	0.6.3
%define release	1

Name:        %{name}
Summary:     A textUI/scriptable tool using xine library.
Summary(fr): Un utilitaire scriptable et une interface texte utilisant la bibliotheque xine.
Version:     %{version}
Release:     %{release}
Copyright:   GPL
Group:       Applications/Multimedia
## FIXME, this is wrong.
Source:      http://toxine.sourceforge.net/%{name}-%{version}.tar.gz
URL:         http://toxine.sourceforge.net/
Packager:    Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
Requires:    libxine0 >= 1.0.0
BuildPreReq: libxine0-devel >= 1.0.0
BuildRoot:   %{_tmppath}/%{name}-buildroot

%description
toxine is a small utility in text mode (using the readline library), which permit
playback for all streams supported by the xine library <http://xine.sourceforge.net>.
This tool is also scriptable.


%description -l fr
toxine est un utilitaire en mode texte (utilisant la bibliotheque readline)
permettant la lecture de tout les types de flux supportes par la bibliotheque 
xine <http://xine.sourceforge.net>. Cet utilitaire est aussi 'scriptable'.


%prep
%setup -n %{name}-%{version}


%build
if [ ! -f configure ]; then
   NO_CONFIGURE=1 ./cvscompile.sh
fi


#
# currently we do not use %%configure as it seems to cause trouble with
# certain automake produced configure scripts - depending on automake version.
#
./configure --build=%{_target_platform} --prefix=%{_prefix} \
	    --exec-prefix=%{_exec_prefix} --bindir=%{_bindir} \
	    --sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} \
	    --datadir=%{_datadir} --includedir=%{_includedir} \
	    --libdir=%{_libdir} --libexecdir=%{_libexecdir} \
	    --localstatedir=%{_localstatedir} \
	    --sharedstatedir=%{_sharedstatedir} --mandir=%{_mandir} \
	    --infodir=%{_infodir} $BUILD_ARGS
make


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{?buildroot:%{buildroot}} install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_bindir}/toxine
%{_libdir}/toxine/plugins/*
/home/daniel/usr/lib/xine/plugins/1.0.0/xineplug_vo_out_none.*
%{_mandir}/man1/*


%changelog
* Thu Jul 04 2002 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- add manpage (incomplete)
* Tue Jul 02 2002 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- first spec file (shamelessly stolen from xine-ui).
