/*
** Copyright (C) 2002-2004 Daniel Caujolle-Bert <segfault@club-internet.fr>
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/

#ifndef __TOXINE_COMMANDS_H__
#define __TOXINE_COMMANDS_H__

#include <xine.h>
#include "common.h"

#define NO_ARGS        1
#define REQUIRE_ARGS   2
#define OPTIONAL_ARGS  3

void toxine_event_listener(void *, const xine_event_t *);
int toxine_video_out_init(toxine_t *);
int toxine_audio_out_init(toxine_t *);
void toxine_handle_command(toxine_t *, void *);
void toxine_stop(toxine_t *);
void toxine_run(toxine_t *, int, char **);
void *toxine_end_thread(void *);

#endif
